#include <iostream>

using namespace std;

int main()
{
    int T, i, n, m;
    cin >> T;
    for(i = 0; i < T; i++){
        cin >> n >> m;
    }

    for(i = 0; i < T; i++){
        cout << -1 << endl;
    }
}